Subject: bug#41747: 27.0.91; Add default fontset setup for "Symbols and Pictographs Extended-A"

From: Kévin Le Gouguec <[email-masked]>
Date: Tue, 09 Jun 2020 11:58:16 +0200

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > There are probably other candidates.  For the purpose of this bug report
>   > however, GNU Unifont is the only free, readily available, and non-color
>   > option I have found for "Symbols and Pictographs Extended-A".
>
>   > Since Emacs already uses that… SNAFU, I'd conclude.
>
> Can someone explain to me why this constitutes failure, rather than success?

Mmm, maybe "SNAFU" is not the best term to convey my feelings about the
situation.

What I mean is that while the situation is not optimal ("Unifont Upper"
does not seem to be packaged by all distros; even then, its glyphs are
fairly low-res and sort of stick out next to other fonts ⇒ "all fouled
up"), Emacs's default fontset already covers the "Symbols and
Pictographs Extended-A" block, so no urgent action is needed (⇒
"situation normal").